import ZSchema from 'z-schema';
import type { IClientSideApplicationManifest } from './manifestSchemas/IClientSideApplicationManifest';
import type { IClientSideAssemblyManifest } from './manifestSchemas/IClientSideAssemblyManifest';
import type { IClientSideComponentManifest } from './manifestSchemas/IClientSideComponentManifest';
import type { IClientSideExtensionManifest } from './manifestSchemas/IClientSideExtensionManifest';
import type { IClientSideLibraryManifest } from './manifestSchemas/IClientSideLibraryManifest';
import type { IClientSideMultiVersionManifest } from './manifestSchemas/IClientSideMultiVersionManifest';
import type { IClientSideWebPartManifest } from './manifestSchemas/IClientSideWebPartManifest';
import type { ICommandSetExtensionManifest } from './manifestSchemas/ICommandSetExtensionManifest';
import type { IPrefabAppManifest } from './manifestSchemas/IPrefabAppManifest';
export declare const zSchemaOptions: ZSchema.Options;
export interface IManifestValidatorResult {
    result: boolean;
    errors: ZSchema.SchemaErrorDetail[];
}
export default class ManifestValidator {
    static registerRemoteSchemaReferences(): Promise<void>;
    static validateApplicationManifest(manifest: string | IClientSideApplicationManifest): IManifestValidatorResult;
    static validatePrefabAppManifest(manifest: string | IPrefabAppManifest): IManifestValidatorResult;
    static validateCommandSetManifest(manifest: string | ICommandSetExtensionManifest): IManifestValidatorResult;
    static validateExtensionManifest(manifest: string | IClientSideExtensionManifest): IManifestValidatorResult;
    static validateWebPartManifest(manifest: string | IClientSideWebPartManifest<any>): IManifestValidatorResult;
    static validateLibraryManifest(manifest: string | IClientSideLibraryManifest): IManifestValidatorResult;
    static validateAssemblyManifest(manifest: string | IClientSideAssemblyManifest): IManifestValidatorResult;
    static validateMultiVersionManifest(manifest: string | IClientSideMultiVersionManifest<any>): IManifestValidatorResult;
    static validateManifest(manifest: string | IClientSideComponentManifest): IManifestValidatorResult;
    static extractInnerErrorMessages(errors: ZSchema.SchemaErrorDetail[]): string[];
    static getFormattedErrorMessage(errors: ZSchema.SchemaErrorDetail[]): string;
    private static _validateManifest;
}
//# sourceMappingURL=manifestSchemaValidator.d.ts.map