/**
 * Identifies if a component manifest is a multi-version manifest.
 * @param manifest - The manifest for a component, which may have multiple versions
 * @returns If the manifest has multiple versions
 */ export function isMultiVersionManifest(manifest) {
    return !!manifest.versions;
}
/**
 * @param config - The module loader configuration for the module.
 * @returns If the module loads as a localized path.
 */ export function isLocalizedPath(config) {
    return config.type === 'localizedPath';
}
/**
 * @param config - The module loader configuration for the module.
 * @returns If the module loads as a non-localized path.
 */ export function isPath(config) {
    return config.type === 'path';
}

//#sourceMappingUrl=./manifestHelpers.js.map